avro

## Class MemberInfo.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<MemberInfo>
    - - avro.MemberInfo.Builder

- All Implemented Interfaces:
    RecordBuilder<MemberInfo>
  Enclosing class:
    MemberInfo

      public static class MemberInfo.Builder
      extends SpecificRecordBuilderBase<MemberInfo>
      implements RecordBuilder<MemberInfo>

  RecordBuilder for MemberInfo instances.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemberInfo` | `build()`
    `MemberInfo.Builder` | `clearAddress()` Clears the value of the 'address' field
    `MemberInfo.Builder` | `clearAge()` Clears the value of the 'age' field
    `MemberInfo.Builder` | `clearName()` Clears the value of the 'name' field
    `Address` | `getAddress()` Gets the value of the 'address' field
    `Integer` | `getAge()` Gets the value of the 'age' field
    `FullName` | `getName()` Gets the value of the 'name' field
    `boolean` | `hasAddress()` Checks whether the 'address' field has been set
    `boolean` | `hasAge()` Checks whether the 'age' field has been set
    `boolean` | `hasName()` Checks whether the 'name' field has been set
    `MemberInfo.Builder` | `setAddress(Address value)` Sets the value of the 'address' field
    `MemberInfo.Builder` | `setAge(int value)` Sets the value of the 'age' field
    `MemberInfo.Builder` | `setName(FullName value)` Sets the value of the 'name' field

    - ### Methods inherited from class org.apache.avro.data.RecordBuilderBase

      `data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public FullName getName()

      Gets the value of the 'name' field

    - #### setName

          public MemberInfo.Builder setName(FullName value)

      Sets the value of the 'name' field

    - #### hasName

          public boolean hasName()

      Checks whether the 'name' field has been set

    - #### clearName

          public MemberInfo.Builder clearName()

      Clears the value of the 'name' field

    - #### getAge

          public Integer getAge()

      Gets the value of the 'age' field

    - #### setAge

          public MemberInfo.Builder setAge(int value)

      Sets the value of the 'age' field

    - #### hasAge

          public boolean hasAge()

      Checks whether the 'age' field has been set

    - #### clearAge

          public MemberInfo.Builder clearAge()

      Clears the value of the 'age' field

    - #### getAddress

          public Address getAddress()

      Gets the value of the 'address' field

    - #### setAddress

          public MemberInfo.Builder setAddress(Address value)

      Sets the value of the 'address' field

    - #### hasAddress

          public boolean hasAddress()

      Checks whether the 'address' field has been set

    - #### clearAddress

          public MemberInfo.Builder clearAddress()

      Clears the value of the 'address' field

    - #### build

          public MemberInfo build()

      Specified by:
        `build` in interface `RecordBuilder<MemberInfo>`

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.